<?xml version="1.0" encoding="Windows-1252"?>
<VisualStudioProject
	ProjectType="Visual C++"
	Version="7.10"
	Name="PixoDrv"
	ProjectGUID="{04B2654D-F473-445E-AE3A-CEAAD3373689}"
	SccProjectName="Perforce Project"
	SccAuxPath=""
	SccLocalPath="..\.."
	SccProvider="MSSCCI:Perforce SCM">
	<Platforms>
		<Platform
			Name="Win32"/>
	</Platforms>
	<Configurations>
		<Configuration
			Name="Release|Win32"
			OutputDirectory="..\Release"
			IntermediateDirectory="..\Release"
			ConfigurationType="2"
			UseOfMFC="0"
			ATLMinimizesCRunTimeLibraryUsage="FALSE"
			CharacterSet="1">
			<Tool
				Name="VCCLCompilerTool"
				Optimization="3"
				GlobalOptimizations="TRUE"
				InlineFunctionExpansion="2"
				EnableIntrinsicFunctions="TRUE"
				ImproveFloatingPointConsistency="FALSE"
				FavorSizeOrSpeed="1"
				OmitFramePointers="TRUE"
				OptimizeForProcessor="2"
				AdditionalIncludeDirectories="..\..\Core\Inc;..\..\Engine\Inc;..\..\metoolkit\include"
				PreprocessorDefinitions="PIXODRV_API=DLL_EXPORT;_USRDLL;PIXODRV_EXPORTS;_WINDOWS;_WIN32_IE=0x0200;NDEBUG;WIN32;UNICODE;DO_GUARD=1;DO_GUARD_SLOW=0;DO_CHECK=1;DO_CHECK_SLOW=0;DO_STAT=1;DO_STAT_SLOW=0;DO_CLOCK=1;DO_CLOCK_SLOW=0"
				StringPooling="FALSE"
				RuntimeLibrary="2"
				StructMemberAlignment="3"
				BufferSecurityCheck="FALSE"
				EnableFunctionLevelLinking="FALSE"
				ForceConformanceInForLoopScope="TRUE"
				UsePrecompiledHeader="3"
				PrecompiledHeaderThrough="PixoDrv.h"
				PrecompiledHeaderFile="..\Release\PixoDrv.pch"
				AssemblerOutput="0"
				AssemblerListingLocation="..\Release\"
				ObjectFile="..\Release\"
				ProgramDataBaseFileName="..\Release\"
				BrowseInformation="0"
				WarningLevel="4"
				WarnAsError="FALSE"
				SuppressStartupBanner="TRUE"
				DebugInformationFormat="3"
				CompileAs="0"/>
			<Tool
				Name="VCCustomBuildTool"/>
			<Tool
				Name="VCLinkerTool"
				AdditionalOptions="/MACHINE:I386"
				AdditionalDependencies="Core.lib Engine.lib"
				ShowProgress="0"
				OutputFile="..\..\System\PixoDrv.dll"
				LinkIncremental="1"
				SuppressStartupBanner="TRUE"
				AdditionalLibraryDirectories="..\..\Core\Release;..\..\Engine\Release"
				IgnoreDefaultLibraryNames="LIBCD;LIBCMTD;MSVCRTD;LIBC;LIBCMT"
				GenerateDebugInformation="TRUE"
				ProgramDatabaseFile="..\..\DebugFiles\$(ProjectName).pdb"
				GenerateMapFile="TRUE"
				MapFileName="..\..\DebugFiles\$(ProjectName).map"
				MapExports="TRUE"
				MapLines="TRUE"
				ImportLibrary="..\Release\PixoDrv.lib"/>
			<Tool
				Name="VCMIDLTool"
				PreprocessorDefinitions="NDEBUG"
				MkTypLibCompatible="TRUE"
				SuppressStartupBanner="TRUE"
				TargetEnvironment="1"
				TypeLibraryName=".\..\Lib/PixoDrv.tlb"/>
			<Tool
				Name="VCPostBuildEventTool"/>
			<Tool
				Name="VCPreBuildEventTool"/>
			<Tool
				Name="VCPreLinkEventTool"/>
			<Tool
				Name="VCResourceCompilerTool"
				PreprocessorDefinitions="NDEBUG"
				Culture="1033"/>
			<Tool
				Name="VCWebServiceProxyGeneratorTool"/>
			<Tool
				Name="VCXMLDataGeneratorTool"/>
			<Tool
				Name="VCWebDeploymentTool"/>
			<Tool
				Name="VCManagedWrapperGeneratorTool"/>
			<Tool
				Name="VCAuxiliaryManagedWrapperGeneratorTool"/>
		</Configuration>
		<Configuration
			Name="Debug|Win32"
			OutputDirectory=".\..\Lib"
			IntermediateDirectory=".\Debug"
			ConfigurationType="2"
			UseOfMFC="0"
			ATLMinimizesCRunTimeLibraryUsage="FALSE"
			CharacterSet="1">
			<Tool
				Name="VCCLCompilerTool"
				Optimization="0"
				ImproveFloatingPointConsistency="FALSE"
				OptimizeForProcessor="2"
				AdditionalIncludeDirectories="..\..\Core\Inc;..\..\Engine\Inc;..\..\metoolkit\include"
				PreprocessorDefinitions="_DEBUG;PIXODRV_API=DLL_EXPORT;_USRDLL;PIXODRV_EXPORTS;_WINDOWS;_WIN32_IE=0x0200;DEBUG;WIN32;UNICODE;DO_GUARD=1;DO_GUARD_SLOW=0;DO_CHECK=1;DO_CHECK_SLOW=1;DO_STAT=1;DO_STAT_SLOW=0;DO_CLOCK=1;DO_CLOCK_SLOW=0"
				StringPooling="FALSE"
				MinimalRebuild="TRUE"
				BasicRuntimeChecks="0"
				RuntimeLibrary="2"
				StructMemberAlignment="3"
				ForceConformanceInForLoopScope="TRUE"
				UsePrecompiledHeader="3"
				PrecompiledHeaderThrough="PixoDrv.h"
				PrecompiledHeaderFile="..\Debug\PixoDrv.pch"
				AssemblerOutput="0"
				AssemblerListingLocation="..\Debug\"
				ObjectFile="..\Debug\"
				ProgramDataBaseFileName="..\Debug\"
				BrowseInformation="0"
				WarningLevel="4"
				WarnAsError="FALSE"
				SuppressStartupBanner="TRUE"
				DebugInformationFormat="4"
				CompileAs="0"/>
			<Tool
				Name="VCCustomBuildTool"/>
			<Tool
				Name="VCLinkerTool"
				AdditionalOptions="/MACHINE:I386"
				AdditionalDependencies="Core.lib Engine.lib"
				ShowProgress="0"
				OutputFile="..\..\System\PixoDrv.dll"
				LinkIncremental="2"
				SuppressStartupBanner="TRUE"
				AdditionalLibraryDirectories="..\..\Core\Debug;..\..\Engine\Debug;"
				IgnoreDefaultLibraryNames="LIBCD;LIBCMTD;MSVCRTD;LIBC;LIBCMT"
				GenerateDebugInformation="TRUE"
				ProgramDatabaseFile="..\Debug\PixoDrv.pdb"
				GenerateMapFile="TRUE"
				MapFileName="..\..\DebugFiles\$(ProjectName).map"
				ImportLibrary="..\Debug\PixoDrv.lib"/>
			<Tool
				Name="VCMIDLTool"
				PreprocessorDefinitions="_DEBUG"
				MkTypLibCompatible="TRUE"
				SuppressStartupBanner="TRUE"
				TargetEnvironment="1"
				TypeLibraryName=".\..\Lib/PixoDrv.tlb"/>
			<Tool
				Name="VCPostBuildEventTool"/>
			<Tool
				Name="VCPreBuildEventTool"/>
			<Tool
				Name="VCPreLinkEventTool"/>
			<Tool
				Name="VCResourceCompilerTool"
				PreprocessorDefinitions="_DEBUG"
				Culture="1033"/>
			<Tool
				Name="VCWebServiceProxyGeneratorTool"/>
			<Tool
				Name="VCXMLDataGeneratorTool"/>
			<Tool
				Name="VCWebDeploymentTool"/>
			<Tool
				Name="VCManagedWrapperGeneratorTool"/>
			<Tool
				Name="VCAuxiliaryManagedWrapperGeneratorTool"/>
		</Configuration>
		<Configuration
			Name="Profiling|Win32"
			OutputDirectory="..\Profiling"
			IntermediateDirectory="..\Profiling"
			ConfigurationType="2"
			UseOfMFC="0"
			ATLMinimizesCRunTimeLibraryUsage="FALSE"
			CharacterSet="1">
			<Tool
				Name="VCCLCompilerTool"
				Optimization="3"
				GlobalOptimizations="TRUE"
				InlineFunctionExpansion="2"
				EnableIntrinsicFunctions="TRUE"
				ImproveFloatingPointConsistency="FALSE"
				FavorSizeOrSpeed="1"
				OmitFramePointers="TRUE"
				OptimizeForProcessor="2"
				AdditionalIncludeDirectories="..\..\Core\Inc;..\..\Engine\Inc;..\..\metoolkit\include"
				PreprocessorDefinitions="PIXODRV_API=DLL_EXPORT;_USRDLL;PIXODRV_EXPORTS;_WINDOWS;_WIN32_IE=0x0200;NDEBUG;WIN32;UNICODE;DO_GUARD=1;DO_GUARD_SLOW=0;DO_CHECK=1;DO_CHECK_SLOW=0;DO_STAT=1;DO_STAT_SLOW=0;DO_CLOCK=1;DO_CLOCK_SLOW=0"
				StringPooling="FALSE"
				RuntimeLibrary="2"
				StructMemberAlignment="3"
				BufferSecurityCheck="FALSE"
				EnableFunctionLevelLinking="FALSE"
				ForceConformanceInForLoopScope="TRUE"
				UsePrecompiledHeader="3"
				PrecompiledHeaderThrough="PixoDrv.h"
				PrecompiledHeaderFile="..\Profiling\PixoDrv.pch"
				AssemblerOutput="0"
				AssemblerListingLocation="..\Profiling\"
				ObjectFile="..\Profiling\"
				ProgramDataBaseFileName="..\Profiling\"
				BrowseInformation="0"
				WarningLevel="4"
				WarnAsError="FALSE"
				SuppressStartupBanner="TRUE"
				DebugInformationFormat="3"
				CompileAs="0"/>
			<Tool
				Name="VCCustomBuildTool"/>
			<Tool
				Name="VCLinkerTool"
				AdditionalOptions="/MACHINE:I386"
				AdditionalDependencies="Core.lib Engine.lib"
				ShowProgress="0"
				OutputFile="..\..\System\PixoDrv.dll"
				LinkIncremental="1"
				SuppressStartupBanner="TRUE"
				AdditionalLibraryDirectories="..\..\Core\Profiling;..\..\Engine\Profiling"
				IgnoreDefaultLibraryNames="LIBCD;LIBCMTD;MSVCRTD;LIBC;LIBCMT"
				GenerateDebugInformation="TRUE"
				ProgramDatabaseFile="$(OutDir)/$(ProjectName).pdb"
				GenerateMapFile="TRUE"
				MapFileName="..\..\DebugFiles\$(ProjectName).map"
				MapLines="TRUE"
				ImportLibrary="..\Profiling\PixoDrv.lib"/>
			<Tool
				Name="VCMIDLTool"
				PreprocessorDefinitions="NDEBUG"
				MkTypLibCompatible="TRUE"
				SuppressStartupBanner="TRUE"
				TargetEnvironment="1"
				TypeLibraryName=".\..\Lib/PixoDrv.tlb"/>
			<Tool
				Name="VCPostBuildEventTool"/>
			<Tool
				Name="VCPreBuildEventTool"/>
			<Tool
				Name="VCPreLinkEventTool"/>
			<Tool
				Name="VCResourceCompilerTool"
				PreprocessorDefinitions="NDEBUG"
				Culture="1033"/>
			<Tool
				Name="VCWebServiceProxyGeneratorTool"/>
			<Tool
				Name="VCXMLDataGeneratorTool"/>
			<Tool
				Name="VCWebDeploymentTool"/>
			<Tool
				Name="VCManagedWrapperGeneratorTool"/>
			<Tool
				Name="VCAuxiliaryManagedWrapperGeneratorTool"/>
		</Configuration>
		<Configuration
			Name="Debug_AMD64|Win32"
			OutputDirectory="$(ConfigurationName)"
			IntermediateDirectory="$(ConfigurationName)"
			ConfigurationType="2"
			UseOfMFC="0"
			ATLMinimizesCRunTimeLibraryUsage="FALSE"
			CharacterSet="1">
			<Tool
				Name="VCCLCompilerTool"
				Optimization="0"
				ImproveFloatingPointConsistency="FALSE"
				OptimizeForProcessor="0"
				AdditionalIncludeDirectories="..\..\Core\Inc;..\..\Engine\Inc;..\..\metoolkit\include"
				PreprocessorDefinitions="_DEBUG;PIXODRV_API=DLL_EXPORT;_USRDLL;PIXODRV_EXPORTS;_WINDOWS;_WIN32_IE=0x0200;DEBUG;WIN32;UNICODE;DO_GUARD=1;DO_GUARD_SLOW=0;DO_CHECK=1;DO_CHECK_SLOW=1;DO_STAT=1;DO_STAT_SLOW=0;DO_CLOCK=1;DO_CLOCK_SLOW=0"
				StringPooling="FALSE"
				MinimalRebuild="FALSE"
				BasicRuntimeChecks="0"
				RuntimeLibrary="2"
				StructMemberAlignment="3"
				ForceConformanceInForLoopScope="TRUE"
				UsePrecompiledHeader="3"
				PrecompiledHeaderThrough="PixoDrv.h"
				PrecompiledHeaderFile="..\Debug\PixoDrv.pch"
				AssemblerOutput="0"
				AssemblerListingLocation="..\Debug\"
				ObjectFile="..\Debug\"
				ProgramDataBaseFileName="..\Debug\"
				BrowseInformation="0"
				WarningLevel="4"
				WarnAsError="FALSE"
				SuppressStartupBanner="TRUE"
				DebugInformationFormat="0"
				CompileAs="0"/>
			<Tool
				Name="VCCustomBuildTool"/>
			<Tool
				Name="VCLinkerTool"
				AdditionalOptions="/MACHINE:AMD64"
				AdditionalDependencies="Core.lib Engine.lib"
				ShowProgress="0"
				OutputFile="..\..\System\PixoDrv.dll"
				LinkIncremental="2"
				SuppressStartupBanner="TRUE"
				AdditionalLibraryDirectories="..\..\Core\Debug;..\..\Engine\Debug;"
				IgnoreDefaultLibraryNames="LIBCD;LIBCMTD;MSVCRTD;LIBC;LIBCMT"
				GenerateDebugInformation="TRUE"
				ProgramDatabaseFile="..\Debug\PixoDrv.pdb"
				GenerateMapFile="TRUE"
				MapFileName="..\..\DebugFiles\$(ProjectName).map"
				ImportLibrary="..\Debug\PixoDrv.lib"/>
			<Tool
				Name="VCMIDLTool"
				PreprocessorDefinitions="_DEBUG"
				MkTypLibCompatible="TRUE"
				SuppressStartupBanner="TRUE"
				TargetEnvironment="1"
				TypeLibraryName=".\..\Lib/PixoDrv.tlb"/>
			<Tool
				Name="VCPostBuildEventTool"/>
			<Tool
				Name="VCPreBuildEventTool"/>
			<Tool
				Name="VCPreLinkEventTool"/>
			<Tool
				Name="VCResourceCompilerTool"
				PreprocessorDefinitions="_DEBUG"
				Culture="1033"/>
			<Tool
				Name="VCWebServiceProxyGeneratorTool"/>
			<Tool
				Name="VCXMLDataGeneratorTool"/>
			<Tool
				Name="VCWebDeploymentTool"/>
			<Tool
				Name="VCManagedWrapperGeneratorTool"/>
			<Tool
				Name="VCAuxiliaryManagedWrapperGeneratorTool"/>
		</Configuration>
	</Configurations>
	<References>
	</References>
	<Files>
		<Filter
			Name="Src"
			Filter="*.cpp;*.h">
			<File
				RelativePath="PixoDrv.cpp">
				<FileConfiguration
					Name="Release|Win32">
					<Tool
						Name="VCCLCompilerTool"
						UsePrecompiledHeader="1"/>
				</FileConfiguration>
				<FileConfiguration
					Name="Debug|Win32">
					<Tool
						Name="VCCLCompilerTool"
						UsePrecompiledHeader="1"/>
				</FileConfiguration>
				<FileConfiguration
					Name="Profiling|Win32">
					<Tool
						Name="VCCLCompilerTool"
						UsePrecompiledHeader="1"/>
				</FileConfiguration>
				<FileConfiguration
					Name="Debug_AMD64|Win32">
					<Tool
						Name="VCCLCompilerTool"
						UsePrecompiledHeader="1"/>
				</FileConfiguration>
			</File>
			<File
				RelativePath="PixoLighting.cpp">
			</File>
			<File
				RelativePath="PixoMaterialState.cpp">
			</File>
			<File
				RelativePath="PixoRenderDevice.cpp">
			</File>
			<File
				RelativePath="PixoRenderInterface.cpp">
			</File>
			<File
				RelativePath="PixoResource.cpp">
			</File>
		</Filter>
		<Filter
			Name="Inc"
			Filter="">
			<File
				RelativePath="pixo_gl.h">
			</File>
			<File
				RelativePath="PixoDrv.h">
			</File>
			<File
				RelativePath="PixoRenderDevice.h">
			</File>
			<File
				RelativePath="PixoRenderInterface.h">
			</File>
			<File
				RelativePath="PixoResource.h">
			</File>
		</Filter>
	</Files>
	<Globals>
	</Globals>
</VisualStudioProject>
